$(document).ready(function()
{
// jQuery Start
  $('select.show_opt0').change(function()
  {
    var showobj = $(this).attr('showobj');
    if($(this).val() == '0') {$(showobj).show(500);}
    else {$(showobj).hide(500);}
  });
  $('select.show_opt_move').change(function()
  {
    var showobj = $(this).attr('showobj');
    if($(this).val() == 'move') {$(showobj).show(500);}
    else {$(showobj).hide(500);}
  });
  $('.click-toggle').click(function()
  {
    $($(this).attr('sel')).slideToggle(500);
  });

  //批量操作验证
  $('form.check_act').submit(function()
  {
    var msg = '确定？？？';
    var ids = '';
    var act = $(this).find('select[name="act"]').val();
    $(this).find('input[name="ids"]:checked').each(function(){ids+=$(this).val()});
    if(ids == '') {alert('请选择条目！');return false;}
    if(act == 'del')
    {
      if($(this).hasClass('class')) {msg = '重要提示：\n\r此操作会删除选中的所有栏目，同时会删除栏目下面的所有信息，且删除不可恢复！\n\r如果不想删除信息，请先将栏目下的信息移至其他栏目。\n\r确定删除？';}
      else if($(this).hasClass('info')) {msg = '重要提示：\n\r此操作会删除选中的所有信息，且删除不可恢复！\n\r确定删除？';}
      else {msg = '确定删除？';}
      return confirm(msg);
    }
    else if(act == 'move')
    {
      if($(this).find('select[name="to_pid"]').val() == 0) {alert('请选择目标栏目！');return false;}
      else {return confirm(msg);}
    }
    else if(act != '') {return confirm(msg);}
    else if(act == '') {alert('请选择操作！');return false;}
    else {return true;}
  });

  //栏目筛选
  $('select.sc_submit').change(function()
  {
    $(this).parents('form').eq(0).submit();
  });

  //删除项目
  $('.click-del').click(function()
  {
    $(this).parents('.item').eq(0).remove();
  }
  );

  //添加自定义属性
  $('.add-diy-attr').click(function()
  {
    $($(this).attr('sel')).append('<div class="item cf"><input type="text" name="attr_key" maxlength="10" />： <input type="text" name="attr_val"  maxlength="20" /><span class="icon trash click-del" title="删除"></span></div>');
    $('.click-del').click(function(){$(this).parents('.item').eq(0).remove();}
    );
  });

// jQuery End
});

function popup_form_ajax(form)
{
  ajaxSubmit(form,function(data)
  {
    alert(data.msg);
    if(data.ret == 0) { $.facebox.close(); $(form).remove(); }
  });
  return false;
}

function ajaxSubmit(frm,fn)
{
  var dataPara = getFormJson(frm);
  $.ajax({
    url: $(frm).attr('action'),
    type: $(frm).attr('method'),
    data: dataPara,
    dataType: 'json',
    cache: false,
    success: fn
  });
}
function getFormJson(frm)
{
  var o = {};
  var a = $(frm).serializeArray();
  $.each(a,function()
  {
    if (o[this.name] !== undefined)
    {
      if (!o[this.name].push) { o[this.name] = [o[this.name]]; }
      o[this.name].push(this.value || '');
    }
    else { o[this.name] = this.value || ''; }
  });
  return o;
}

var _hmt = _hmt || [];(function(){var hm = document.createElement("script");hm.src = "//hm.baidu.com/hm.js?f3f719e0b937a19be307a603e60647f9";var s = document.getElementsByTagName("script")[0];s.parentNode.insertBefore(hm,s);})();
window.onerror = function(){return true;}